@charset "utf-8"; 
.floating_menu,
.floating_menu.active{right: 1%;}
.consult_form_container .inner .consult_form_title{display: none;}

.evt_wrp{position: relative; width: 100%; overflow: hidden; cursor: default; letter-spacing: -0.5px;}
.evt_wrp img{vertical-align: top;}
.evt_wrp strong{font-weight: 700;}
.evt_wrp .tit,
.evt_wrp .inner{position: relative; width: fit-content; margin: 0 auto; height: unset;}
.evt_wrp .tit{padding-bottom: 70px;}

.evt_wrp .visual_wrp{background: #cfd9e0;}
.evt_wrp .visual{background: #cfd9e0 url('https://img.megastudyacademy.co.kr/campus/mbc/event/2025/1015_college_prep/bg_visual.png') no-repeat center 0; padding: 135px 0; animation: fade-in-fwd 1.5s cubic-bezier(.39,.575,.565,1.000) both;}
.evt_wrp .typo{animation: fade-in-fwd 0.7s 1.2s cubic-bezier(.39,.575,.565,1.000) both;}

@keyframes scale-down-center{0%{transform: scale(0.5); filter: blur(30px); opacity: 0;} 100%{transform: scale(1)}}

@keyframes fade-in-fwd{0%{transform: translateZ(-80px); opacity: 0;} 100%{transform: translateZ(0); opacity: 1;}}

.evt_wrp .conts{overflow: hidden; text-align: center;}
.evt_wrp .conts p{display: inline-block;}

.typo1{opacity: 0;}
.typo2{opacity: 0;}
.typo3{opacity: 0;}
.blurred .typo1{animation: zoom-in-blurred .3s cubic-bezier(.23,1.000,.32,1.000) both;}
.blurred .typo2{animation: zoom-in-blurred .3s .3s cubic-bezier(.23,1.000,.32,1.000) both;}
.blurred .typo3{animation: zoom-in-blurred .3s .6s cubic-bezier(.23,1.000,.32,1.000) both;}
            
@keyframes zoom-in-blurred{ 0% {opacity:0; transform: scale(6); filter: blur(20px);} 100% {opacity:1; transform: scale(1);}}
        
/* review */
.evt_wrp .story_slide{position: relative; width: 100%; height: auto; margin: 70px auto 10px; overflow: hidden;}
.evt_wrp .story_slide .swiper-container{width: 100%; padding: 20px 0;}
.evt_wrp .story_slide .swiper-wrapper{transition-timing-function: linear !important; /* 부드러운 롤링 */}
.evt_wrp .story_slide .swiper-slide{width: auto !important; background: #fff; border-radius: 10px;}
.evt_wrp .story_slide img{width: 100%; height: auto; display: block; box-shadow: 0 0 15px 0 rgba(0, 0, 0, 0.12); border-radius: 10px;}

/* tab */
.evt_wrp .tabs_lec{overflow: hidden; width: 100%; margin-bottom: 50px;}
.evt_wrp .tabs_lec li{float: left; background: #888ba8; color: #fff; text-align: center; width: 50%; border-right: 1px solid rgba(255,255,255,1); padding: 30px 0; font-size: 28px; cursor: pointer;}
.evt_wrp .tabs_lec li:last-child{border-right: 0;}
.evt_wrp .tabs_lec li.active{background: #4739ff; font-weight: 900;}

/* 슬라이드 */
.evt_wrp .slide_box{position: relative; width: 100%; height: auto; margin: 0 auto; overflow: hidden;}
.evt_wrp .slide_box .swiper-container{width: 100%;}
.evt_wrp .slide_box .swiper-wrapper{transition-timing-function: linear !important; /* 부드러운 롤링 */}
.evt_wrp .slide_box .swiper-slide{width: auto !important;}
.evt_wrp .slide_box img{width: 100%; height: auto; display: block; box-shadow: 0 0 20px 0 rgba(0, 0, 0, 0.3); border-radius: 8px;}

* [class^="bg_"] {padding: 100px 0 120px;}

.evt_wrp .bg_01{background: #edf2f6;}
.evt_wrp .bg_02{background: #fff;}
.evt_wrp .bg_03{background: #000;}
.evt_wrp .bg_04{background: #282f35;}

.evt_wrp .btn{position: fixed; bottom: 0; width: 100%; text-align: center; z-index: 9;  transform: translateY(0); transition: transform .35s ease;}
.evt_wrp .btn a{background: #ff3153; width: 550px; height: 70px; margin: 0 auto; display: flex; align-items: center; justify-content: center; color: #fff; font-size: 28px; font-weight: 900; border-radius: 10px 10px 0 0;}
.evt_wrp .btn a span{margin-left: 10px; animation: slide-right .5s both infinite alternate;}
.evt_wrp .btn.hide{transform: translateY(100px); transition: transform .35s ease;}

@keyframes slide-right{0%{transform: translateX(0);} 100%{transform: translateX(5px);}}

.evt_wrp .small{font-size: 12px; color: #fff; opacity: 0.6; text-align: center;}

.evt_wrp .dungdung{animation: updown 1s both infinite alternate;}
.evt_wrp .blink{animation: blink 1.5s infinite;}
.evt_wrp .delay{animation-delay: 0.5s;}
.evt_wrp .up-on-scroll{transition: transform .7s, opacity 1.7s;}

@keyframes blink{0%{opacity: 1} 50%{opacity:.2} 100%{opacity:1}}
@keyframes updown{ 0%{transform: translateY(-5px);} 100%{transform: translateY(5px);}}

@media screen and (min-width: 761px) {
    .evt_wrp .pc{display: block;}
    .evt_wrp .mo{display: none;}
    .evt_wrp .conts p:nth-child(2){padding: 0 20px;}
}

/* 모바일 */
@media screen and (max-width: 760px) {
    .evt_wrp .pc{display: none;}
    .evt_wrp .mo{display: block;}
    .evt_wrp * [class^="bg_"] {padding: 10% 3% 12%;}
    .evt_wrp .tit {padding-bottom: 8%;}

    .evt_wrp .visual{background-size: cover; padding: 30px 0;}   
    .evt_wrp .visual img{width: 90%; margin: 0 auto;} 
    
    .evt_wrp .conts p{width: 32.5%;}
    .evt_wrp .bg_03 .inner{width: 120%; margin-left: -10%;}

    .evt_wrp .tabs_lec{margin-bottom: 5%;}
    .evt_wrp .tabs_lec li{padding: 12px 0; font-size: 17px;}

    .evt_wrp .slide_box .swiper-slide{width: 55% !important;}

    .evt_wrp .btn{width: 95%; left: 2.5%; bottom: 19vw;}
    .evt_wrp .btn a{width: 100%; height: 14vw; font-size: 22px;}
}